use std::io::{stdin, Read};

fn main() {
    let mut line = String::new();
    stdin().read_to_string(&mut line).unwrap();

    let mut iter = line.trim().split(' ').map(|x| x.parse::<usize>().unwrap());

    let n = iter.next().unwrap();
    let m = iter.next().unwrap();
    let p = iter.next().unwrap();
}
